Name:          libclucene
Version:       2.3.3.4
Release:       5mamba
Summary:       A C++ port of Lucene: the high-performance, full-featured text search engine
Group:         System/Database
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.sourceforge.net/projects/clucene/
Source:        http://downloads.sourceforge.net/clucene/clucene-core-%{version}.tar.gz
Patch0:        %{name}-2.3.3.4-fix_pkgconfig_clucene_shared.patch
Patch1:        %{name}-2.3.3.4-install_contribs_lib.patch
Patch2:        libclucene-2.3.3.4-pkgconfig_no_internal_boost_includes.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: gcc-c++
BuildRequires: doxygen
BuildRequires: graphviz
Provides:      libclucene-core
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
CLucene is a high-performance, scalable, cross platform, full-featured, open-source indexing and searching API written in C++.
CLucene is a port of the very popular Java Lucene text search engine API.
Specifically, CLucene is the guts of a search engine, the hard stuff.
CLucene aims to be a good alternative to Java Lucene when performance really matters or if you want to stick to good old C++.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Provides:      libclucene-core-devel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
CLucene is a high-performance, scalable, cross platform, full-featured, open-source indexing and searching API written in C++.
CLucene is a port of the very popular Java Lucene text search engine API.
Specifically, CLucene is the guts of a search engine, the hard stuff.
CLucene aims to be a good alternative to Java Lucene when performance really matters or if you want to stick to good old C++.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n clucene-core-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%cmake \
   -DBUILD_CONTRIBS_LIB=BOOL:ON \
   -DLUCENE_SYS_INCLUDES:PATH=%{_includedir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libclucene-contribs-lib.so.*
%{_libdir}/libclucene-core.so.*
%{_libdir}/libclucene-shared.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/CLucene.h
%dir %{_includedir}/CLucene
%{_includedir}/CLucene/*
%{_libdir}/libclucene-contribs-lib.so
%{_libdir}/libclucene-core.so
%{_libdir}/libclucene-shared.so
%{_includedir}/CLucene/CLuceneConfig.cmake
%{_includedir}/CLucene/clucene-config.h
%{_libdir}/CLuceneConfig.cmake/CLuceneConfig.cmake
%{_libdir}/pkgconfig/libclucene-core.pc
%doc APACHE.license ChangeLog NEWS README REQUESTS

%changelog
* Tue Jan 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.3.4-5mamba
- rebuilt with debug package

* Tue Jul 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.3.4-4mamba
- libclucene-core.pc: remove internal boost includes conflicting with boost 1.54 (seen with libreoffice)

* Fri Jul 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.3.4-3mamba
- set contrib includes dir to %{_includedir} instead of %{_libdir}

* Tue Jul 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.3.4-2mamba
- build contribs lib

* Tue Jul 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.3.4-1mamba
- update to 2.3.3.4

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 0.9.21-1mamba
- update to 0.9.21

* Mon Oct 29 2007 Aleph0 <aleph0@openmamba.org> 0.9.20-1mamba
- update to 0.9.20

* Thu Jul 05 2007 Aleph0 <aleph0@openmamba.org> 0.9.16a-2mamba
- run ldconfig when updating/removing the package
- fixed package license

* Sun Jan 28 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.16a-1qilnx
- package created by autospec
